#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(failover_slave_unregister, "_gpl", "");
KSYMTAB_FUNC(failover_register, "_gpl", "");
KSYMTAB_FUNC(failover_unregister, "_gpl", "");

SYMBOL_CRC(failover_slave_unregister, 0xc89968e4, "_gpl");
SYMBOL_CRC(failover_register, 0x8fd97089, "_gpl");
SYMBOL_CRC(failover_unregister, 0xa21706cf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xcd3c924, "netdev_rx_handler_unregister" },
	{ 0xe7b4af9a, "netdev_upper_dev_unlink" },
	{ 0x56470118, "__warn_printk" },
	{ 0x369f9ef0, "netdev_rx_handler_register" },
	{ 0x395de097, "netdev_master_upper_dev_link" },
	{ 0x9a2aa775, "netdev_err" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe61a6d75, "kmalloc_caches" },
	{ 0x29977925, "kmalloc_trace" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x2b4103a3, "netdev_info" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x37a0cba, "kfree" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "");

